| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
System

# Method System.setuid()

Method setuid

  `int setuid(int uid)`

Description

  Sets the real user ID, effective user ID and saved user ID to uid .

Returns

  Returns the current errno.

Note

  This function isn't available on all platforms.

See also

  getuid() , setgid() , getgid() , seteuid() , geteuid() , setegid() , getegid()